summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD12
2 files changed, 10 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index a972f3e696a..5fb89f99f27 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,14 +1,14 @@
pkgbase = perl-string-compare
pkgdesc = String::Compare - Compare two strings and return how much they are alike
pkgver = 0.4
- pkgrel = 1
+ pkgrel = 2
url = http://search.cpan.org/dist/String-Compare
arch = any
license = GPL
license = PerlArtistic
depends = perl>=5.10.0
options = !emptydirs
- source = http://search.cpan.org/CPAN/authors/id/D/DR/DRUOSO/String-Compare-0.4.tar.gz
+ source = https://search.cpan.org/CPAN/authors/id/D/DR/DRUOSO/String-Compare-0.4.tar.gz
md5sums = 0a5ba97f0a071dd23c0ebe1b8ef4c2c3
pkgname = perl-string-compare
diff --git a/PKGBUILD b/PKGBUILD
index 920472057cc..af76135545c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname=perl-string-compare
pkgver=0.4
-pkgrel=1
+pkgrel=2
pkgdesc="String::Compare - Compare two strings and return how much they are alike"
arch=('any')
url="http://search.cpan.org/dist/String-Compare"
@@ -15,7 +15,7 @@ replaces=()
backup=()
options=('!emptydirs')
install=
-source=("http://search.cpan.org/CPAN/authors/id/D/DR/DRUOSO/String-Compare-${pkgver}.tar.gz")
+source=("https://search.cpan.org/CPAN/authors/id/D/DR/DRUOSO/String-Compare-${pkgver}.tar.gz")
md5sums=('0a5ba97f0a071dd23c0ebe1b8ef4c2c3')
build() {
@@ -29,7 +29,11 @@ build() {
{ /usr/bin/perl Makefile.PL &&
make &&
- make test &&
- make install; } || return 1
+ make test; } || return 1
}
+package() {
+ cd $srcdir/String-Compare-$pkgver
+
+ make install
+}